import {defineConfig} from 'cypress';
import {loadEnv} from 'vite';
import {ssoURI} from './public/config.json';

export default defineConfig({
  e2e: {
    specPattern: 'cypress/e2e/**/*.{cy,spec}.{js,jsx,ts,tsx}',
    baseUrl:     'http://localhost:4173/univention/ui/ucsschool-users',
  },
  env: {
    ...loadEnv('test', process.cwd(), ''),
    SSO_URI: ssoURI,
  },
});
